using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;


namespace RadGridView_WPF_AR_56
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            clubsGrid.CellLoaded += new EventHandler<Telerik.Windows.Controls.GridView.CellEventArgs>(clubsGrid_CellLoaded);
            clubsGrid.CellUnloaded += new EventHandler<Telerik.Windows.Controls.GridView.CellEventArgs>(clubsGrid_CellUnloaded);
        }

        void clubsGrid_CellUnloaded(object sender, Telerik.Windows.Controls.GridView.CellEventArgs e)
        {
            e.Cell.CellDoubleClick -= new EventHandler<Telerik.Windows.RadRoutedEventArgs>(Cell_CellDoubleClick);
        }

        void clubsGrid_CellLoaded(object sender, Telerik.Windows.Controls.GridView.CellEventArgs e)
        {
            if (e.Cell.Column.DisplayIndex != 1)
            {
                e.Cell.CellDoubleClick += new EventHandler<Telerik.Windows.RadRoutedEventArgs>(Cell_CellDoubleClick);
            }
        }

        void Cell_CellDoubleClick(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            
        }
    }
}
